## Update a collection type `PUT https://getkollek.com/api/collection-types/{collectionType}` Update the name and color of a collection type. **Permissions:** Owners and editors. Viewers get a 404 response. ### Path parameters - `collectionType` (integer, required): The ID of the collection type. ### Body parameters - `name` (string, required): The name of the type. Maximum 255 characters. - `color` (string, required): The color of the type as a six-digit hex code, such as #fb923c. **Returns:** The updated collection_type object. ### Example request ```bash curl https://getkollek.com/api/collection-types/1 \ -X PUT \ -H "Authorization: Bearer $API_KEY" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "Comics", "color": "#fb923c" }' ``` ### Example response `Status: 200` ```json { "data": { "type": "collection_type", "id": "1", "attributes": { "name": "Comics", "color": "#fb923c", "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/collection-types/1" } } } ```